Subject: [PATCH 0/6] Convert hash-object to struct object_id

From: Patryk Obara <[email-masked]>
Date: Sun, 20 Aug 2017 22:09:25 +0200

This enabled conversion of few functions in sha1_file, which
had almost all callers converted already.

I hope I'm not stepping on anyone's toes with this patch series.
If I do - is there some email thread or document in which I can
coordinate with other developers, regarding which code regions
are being converted to struct object_id next?

I focused on this builtin in particular because it's probably
the smallest functionality, that can be converted to different
hashing algorithm, at least partly.

Patryk Obara (6):
  builtin/hash-object: convert to struct object_id
  read-cache: convert to struct object_id
  sha1_file: convert index_path to struct object_id
  sha1_file: convert index_fd to struct object_id
  sha1_file: convert hash_sha1_file_literally to struct object_id
  sha1_file: convert index_stream to struct object_id

 builtin/difftool.c     |  2 +-
 builtin/hash-object.c  | 12 ++++++------
 builtin/replace.c      |  2 +-
 builtin/update-index.c |  2 +-
 cache.h                |  6 +++---
 diff.c                 |  2 +-
 notes-merge.c          |  2 +-
 read-cache.c           |  8 ++++----
 sha1_file.c            | 34 +++++++++++++++++-----------------
 9 files changed, 35 insertions(+), 35 deletions(-)

-- 
2.9.5